Subject: bug#19392: Emacs searches for dabbrevs in archive buffers

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 14 Jul 2021 18:19:01 +0200

Eli Zaretskii <[email-masked]> writes:

> Note that Emacs only searches other buffers if it cannot find matches
> in the current one, or exhausts the ones from the current buffer.  And
> we already support dabbrev-select-buffers-function,
> dabbrev-ignored-buffer-names, and dabbrev-ignored-buffer-regexps,
> which could fine-tune which other buffers are searched.

We do have all of that, but I think that it would be reasonable (by
default) for `dabbrev--select-buffers' to ignore these "binary"
buffers.  Because the data there is mostly noise.

I think that could be easily implemented by allowing modes to set a
buffer-local variable like `dabbrev-ignore-buffer'.  I can see arc/tar
mode doing that, and perhaps image-mode, too?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no